Index: cpukit/score/inline/rtems/score/address.inl
===================================================================
--- cpukit/score/inline/rtems/score/address.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/address.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,9 @@
  *  _Addresses_Add_offset
  *
+ *  DESCRIPTION:
+ *
+ *  This function is used to add an offset to a base address.
+ *  It returns the resulting address.  This address is typically
+ *  converted to an access type before being used further.
  */
 
@@ -36,4 +41,9 @@
  *  _Addresses_Subtract_offset
  *
+ *  DESCRIPTION:
+ *
+ *  This function is used to subtract an offset from a base
+ *  address.  It returns the resulting address.  This address is
+ *  typically converted to an access type before being used further.
  */
 
@@ -49,4 +59,9 @@
  *
  *  _Addresses_Subtract
+ *
+ *  DESCRIPTION:
+ *
+ *  This function is used to subtract two addresses.  It returns the
+ *  resulting offset.
  *
  *  NOTE:  The cast of an address to an unsigned32 makes this code
@@ -66,4 +81,9 @@
  *  _Addresses_Is_aligned
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the given address is correctly
+ *  aligned for this processor and FALSE otherwise.  Proper alignment
+ *  is based on correctness and efficiency.
  */
 
@@ -79,4 +99,11 @@
  *  _Addresses_Is_in_range
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the given address is within the
+ *  memory range specified and FALSE otherwise.  base is the address
+ *  of the first byte in the memory range and limit is the address
+ *  of the last byte in the memory range.  The base address is
+ *  assumed to be lower than the limit address.
  */
 
Index: cpukit/score/inline/rtems/score/chain.inl
===================================================================
--- cpukit/score/inline/rtems/score/chain.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/chain.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -25,4 +25,9 @@
  *
  *  _Chain_Are_nodes_equal
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if LEFT and RIGHT are equal,
+ *  and FALSE otherwise.
  */
 
@@ -38,4 +43,8 @@
  *
  *  _Chain_Is_null
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_chain is NULL and FALSE otherwise.
  */
 
@@ -50,4 +59,8 @@
  *
  *  _Chain_Is_null_node
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_node is NULL and FALSE otherwise.
  */
 
@@ -62,4 +75,8 @@
  *
  *  _Chain_Head
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns a pointer to the first node on the chain.
  */
 
@@ -74,4 +91,8 @@
  *
  *  _Chain_Tail
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns a pointer to the last node on the chain.
  */
 
@@ -86,4 +107,9 @@
  *
  *  _Chain_Is_empty
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if there a no nodes on the_chain and
+ *  FALSE otherwise.
  */
 
@@ -98,4 +124,9 @@
  *
  *  _Chain_Is_first
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_node is the first node on a chain and
+ *  FALSE otherwise.
  */
 
@@ -110,4 +141,9 @@
  *
  *  _Chain_Is_last
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_node is the last node on a chain and
+ *  FALSE otherwise.
  */
 
@@ -122,4 +158,9 @@
  *
  *  _Chain_Has_only_one_node
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if there is only one node on the_chain and
+ *  FALSE otherwise.
  */
 
@@ -134,4 +175,9 @@
  *
  *  _Chain_Is_head
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_node is the head of the_chain and
+ *  FALSE otherwise.
  */
 
@@ -147,4 +193,9 @@
  *
  *  _Chain_Is_tail
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_node is the tail of the_chain and
+ *  FALSE otherwise.
  */
 
@@ -160,4 +211,8 @@
  *
  *  Chain_Initialize_empty
+ *
+ *  DESCRIPTION:
+ *
+ *  This routine initializes the specified chain to contain zero nodes.
  */
 
@@ -174,4 +229,10 @@
  *
  *  _Chain_Extract_unprotected
+ *
+ *  DESCRIPTION:
+ *
+ *  This routine extracts the_node from the chain on which it resides.
+ *  It does NOT disable interrupts to insure the atomicity of the
+ *  extract operation.
  */
 
@@ -192,4 +253,10 @@
  *
  *  _Chain_Get_first_unprotected
+ *
+ *  DESCRIPTION:
+ *
+ *  This function removes the first node from the_chain and returns
+ *  a pointer to that node.  It does NOT disable interrupts to insure
+ *  the atomicity of the get operation.
  */
 
@@ -212,4 +279,11 @@
  *
  *  Chain_Get_unprotected
+ *
+ *  DESCRIPTION:
+ *
+ *  This function removes the first node from the_chain and returns
+ *  a pointer to that node.  If the_chain is empty, then NULL is returned.
+ *  It does NOT disable interrupts to insure the atomicity of the
+ *  get operation.
  */
 
@@ -227,4 +301,10 @@
  *
  *  _Chain_Insert_unprotected
+ *
+ *  DESCRIPTION:
+ *
+ *  This routine inserts the_node on a chain immediately following
+ *  after_node.  It does NOT disable interrupts to insure the atomicity
+ *  of the extract operation.
  */
 
@@ -246,4 +326,10 @@
  *
  *  _Chain_Append_unprotected
+ *
+ *  DESCRIPTION:
+ *
+ *  This routine appends the_node onto the end of the_chain.
+ *  It does NOT disable interrupts to insure the atomicity of the
+ *  append operation.
  */
 
@@ -265,4 +351,10 @@
  *
  *  _Chain_Prepend_unprotected
+ *
+ *  DESCRIPTION:
+ *
+ *  This routine prepends the_node onto the front of the_chain.
+ *  It does NOT disable interrupts to insure the atomicity of the
+ *  prepend operation.
  */
 
@@ -279,4 +371,10 @@
  *
  *  _Chain_Prepend
+ *
+ *  DESCRIPTION:
+ *
+ *  This routine prepends the_node onto the front of the_chain.
+ *  It disables interrupts to insure the atomicity of the
+ *  prepend operation.
  */
 
Index: cpukit/score/inline/rtems/score/coremsg.inl
===================================================================
--- cpukit/score/inline/rtems/score/coremsg.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/coremsg.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -24,4 +24,7 @@
  *  _CORE_message_queue_Send
  *
+ *  DESCRIPTION:
+ *
+ *  This routine sends a message to the end of the specified message queue.
  */
  
@@ -48,4 +51,7 @@
  *  _CORE_message_queue_Urgent
  *
+ *  DESCRIPTION:
+ *
+ *  This routine sends a message to the front of the specified message queue.
  */
  
@@ -72,4 +78,8 @@
  *  _CORE_message_queue_Copy_buffer
  *
+ *  DESCRIPTION:
+ *
+ *  This routine copies the contents of the source message buffer
+ *  to the destination message buffer.
  */
 
@@ -87,4 +97,8 @@
  *  _CORE_message_queue_Allocate_message_buffer
  *
+ *  DESCRIPTION:
+ *
+ *  This function allocates a message buffer from the inactive
+ *  message buffer chain.
  */
 
@@ -102,4 +116,8 @@
  *  _CORE_message_queue_Free_message_buffer
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees a message buffer to the inactive
+ *  message buffer chain.
  */
 
@@ -116,4 +134,8 @@
  *  _CORE_message_queue_Get_pending_message
  *
+ *  DESCRIPTION:
+ *
+ *  This function removes the first message from the_message_queue
+ *  and returns a pointer to it.
  */
 
@@ -131,4 +153,8 @@
  *  _CORE_message_queue_Is_priority
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the priority attribute is
+ *  enabled in the attribute_set and FALSE otherwise.
  */
  
@@ -144,4 +170,8 @@
  *  _CORE_message_queue_Append
  *
+ *  DESCRIPTION:
+ *
+ *  This routine places the_message at the rear of the outstanding
+ *  messages on the_message_queue.
  */
 
@@ -158,4 +188,8 @@
  *  _CORE_message_queue_Prepend
  *
+ *  DESCRIPTION:
+ *
+ *  This routine places the_message at the front of the outstanding
+ *  messages on the_message_queue.
  */
 
@@ -175,4 +209,7 @@
  *  _CORE_message_queue_Is_null
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_message_queue is TRUE and FALSE otherwise.
  */
 
@@ -188,4 +225,8 @@
  *  _CORE_message_queue_Is_notify_enabled
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if notification is enabled on this message
+ *  queue and FALSE otherwise.
  */
  
@@ -201,4 +242,7 @@
  *  _CORE_message_queue_Set_notify
  *
+ *  DESCRIPTION:
+ *
+ *  This routine initializes the notification information for the_message_queue.
  */
  
Index: cpukit/score/inline/rtems/score/coremutex.inl
===================================================================
--- cpukit/score/inline/rtems/score/coremutex.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/coremutex.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _CORE_mutex_Is_locked
  *
+ *  DESCRIPTION:
+ *
+ *  This routine returns TRUE if the mutex specified is locked and FALSE
+ *  otherwise.
  */
  
@@ -35,4 +39,8 @@
  *  _CORE_mutex_Is_fifo
  *
+ *  DESCRIPTION:
+ *
+ *  This routine returns TRUE if the mutex's wait discipline is FIFO and FALSE
+ *  otherwise.
  */
  
@@ -48,4 +56,8 @@
  *  _CORE_mutex_Is_priority
  *
+ *  DESCRIPTION:
+ *
+ *  This routine returns TRUE if the mutex's wait discipline is PRIORITY and
+ *  FALSE otherwise.
  */
  
@@ -61,4 +73,8 @@
  *  _CORE_mutex_Is_inherit_priority
  *
+ *  DESCRIPTION:
+ *
+ *  This routine returns TRUE if the mutex's wait discipline is
+ *  INHERIT_PRIORITY and FALSE otherwise.
  */
  
@@ -74,4 +90,8 @@
  *  _CORE_mutex_Is_priority_ceiling
  *
+ *  DESCRIPTION:
+ *
+ *  This routine returns TRUE if the mutex's wait discipline is
+ *  PRIORITY_CEILING and FALSE otherwise.
  */
  
Index: cpukit/score/inline/rtems/score/coresem.inl
===================================================================
--- cpukit/score/inline/rtems/score/coresem.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/coresem.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _CORE_semaphore_Is_priority
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the priority attribute is
+ *  enabled in the attribute_set and FALSE otherwise.
  */
 
@@ -35,4 +39,7 @@
  *  _CORE_semaphore_Get_count
  *
+ *  DESCRIPTION:
+ *
+ *  This routine returns the current count associated with the semaphore.
  */
  
Index: cpukit/score/inline/rtems/score/heap.inl
===================================================================
--- cpukit/score/inline/rtems/score/heap.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/heap.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -24,4 +24,7 @@
  *  _Heap_Head
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the head of the specified heap.
  */
 
@@ -37,4 +40,7 @@
  *  _Heap_Tail
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the tail of the specified heap.
  */
 
@@ -50,4 +56,8 @@
  *  _Heap_Previous_block
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the address of the block which physically
+ *  precedes the_block in memory.
  */
 
@@ -66,4 +76,9 @@
  *  _Heap_Next_block
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the address of the block which physically
+ *  follows the_block in memory.
+ *
  *  NOTE: Next_block assumes that the block is free.
  */
@@ -83,4 +98,8 @@
  *  _Heap_Block_at
  *
+ *  DESCRIPTION:
+ *
+ *  This function calculates and returns a block's location (address)
+ *  in the heap based upad a base address and an offset.
  */
 
@@ -97,4 +116,7 @@
  *  _Heap_User_block_at
  *
+ *  DESCRIPTION:
+ *
+ *  XXX
  */
  
@@ -113,4 +135,8 @@
  *  _Heap_Is_previous_block_free
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the previous block of the_block
+ *  is free, and FALSE otherwise.
  */
 
@@ -126,4 +152,7 @@
  *  _Heap_Is_block_free
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the block is free, and FALSE otherwise.
  */
 
@@ -139,4 +168,8 @@
  *  _Heap_Is_block_used
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the block is currently allocated,
+ *  and FALSE otherwise.
  */
 
@@ -152,4 +185,7 @@
  *  _Heap_Block_size
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the size of the_block in bytes.
  */
 
@@ -165,4 +201,8 @@
  *  _Heap_Start_of_user_area
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the starting address of the portion of the block
+ *  which the user may access.
  */
 
@@ -178,4 +218,8 @@
  *  _Heap_Is_block_in
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_block is within the memory area
+ *  managed by the_heap, and FALSE otherwise.
  */
 
@@ -192,4 +236,10 @@
  *  _Heap_Is_page_size_valid
  *
+ *  DESCRIPTION:
+ *
+ *  This function validates a specified heap page size.  If the page size
+ *  is 0 or if lies outside a page size alignment boundary it is invalid
+ *  and FALSE is returned.  Otherwise, the page size is valid and TRUE is
+ *  returned.
  */
 
@@ -206,4 +256,9 @@
  *  _Heap_Build_flag
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the block flag composed of size and in_use_flag.
+ *  The flag returned is suitable for use as a back or front flag in a
+ *  heap block.
  */
 
Index: cpukit/score/inline/rtems/score/isr.inl
===================================================================
--- cpukit/score/inline/rtems/score/isr.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/isr.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,10 @@
  *  _ISR_Is_in_progress
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the processor is currently servicing
+ *  and interrupt and FALSE otherwise.   A return value of TRUE indicates
+ *  that the caller is an interrupt service routine, NOT a thread.  The
+ *  directives available to an interrupt service routine are restricted.
  */
 
@@ -33,4 +39,8 @@
  *  _ISR_Is_vector_number_valid
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the vector is a valid vector number
+ *  for this processor and FALSE otherwise.
  */
 
@@ -46,4 +56,9 @@
  *  _ISR_Is_valid_user_handler
  *
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if handler is the entry point of a valid
+ *  use interrupt service routine and FALSE otherwise.
  */
 
Index: cpukit/score/inline/rtems/score/mppkt.inl
===================================================================
--- cpukit/score/inline/rtems/score/mppkt.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/mppkt.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,9 @@
  *  _Mp_packet_Is_valid_packet_class
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the the_packet_class is valid,
+ *  and FALSE otherwise.
+ *
  *  NOTE: Check for lower bounds (MP_PACKET_CLASSES_FIRST ) is unnecessary
  *        because this enum starts at lower bound of zero.
@@ -37,4 +42,8 @@
  *  _Mp_packet_Is_null
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the the_packet_class is null,
+ *  and FALSE otherwise.
  */
 
Index: cpukit/score/inline/rtems/score/object.inl
===================================================================
--- cpukit/score/inline/rtems/score/object.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/object.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _Objects_Build_id
  *
+ *  DESCRIPTION:
+ *
+ *  This function builds an object's id from the processor node and index
+ *  values specified.
  */
 
@@ -38,4 +42,8 @@
  *
  *  _Objects_Get_class
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns the class portion of the ID.
  */
  
@@ -53,4 +61,7 @@
  *  _Objects_Get_node
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the node portion of the ID.
  */
 
@@ -66,4 +77,7 @@
  *  _Objects_Get_index
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the index portion of the ID.
  */
 
@@ -79,4 +93,7 @@
  *  _Objects_Is_class_valid
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the class is valid.
  */
  
@@ -92,4 +109,8 @@
  *  _Objects_Is_local_node
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the node is of the local object, and
+ *  FALSE otherwise.
  */
 
@@ -105,4 +126,8 @@
  *  _Objects_Is_local_id
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the id is of a local object, and
+ *  FALSE otherwise.
  */
 
@@ -118,4 +143,8 @@
  *  _Objects_Are_ids_equal
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if left and right are equal,
+ *  and FALSE otherwise.
  */
 
@@ -132,4 +161,8 @@
  *  _Objects_Allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This function allocates a object control block from
+ *  the inactive chain of free object control blocks.
  */
 
@@ -145,4 +178,8 @@
  *  _Objects_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This function frees a object control block to the
+ *  inactive chain of free object control blocks.
  */
 
@@ -159,4 +196,8 @@
  *  _Objects_Open
  *
+ *  DESCRIPTION:
+ *
+ *  This function places the_object control pointer and object name
+ *  in the Local Pointer and Local Name Tables, respectively.
  */
 
@@ -182,4 +223,8 @@
  *  _Objects_Close
  *
+ *  DESCRIPTION:
+ *
+ *  This function removes the_object control pointer and object name
+ *  in the Local Pointer and Local Name Tables.
  */
 
Index: cpukit/score/inline/rtems/score/objectmp.inl
===================================================================
--- cpukit/score/inline/rtems/score/objectmp.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/objectmp.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,7 @@
  *  _Objects_MP_Allocate_global_object
  *
+ *  DESCRIPTION:
+ *
+ *  This function allocates a Global Object control block.
  */
 
@@ -33,6 +36,10 @@
 
 /*PAGE
+ *
  *  _Objects_MP_Free_global_object
  *
+ *  DESCRIPTION:
+ *
+ *  This routine deallocates a Global Object control block.
  */
 
@@ -48,6 +55,10 @@
 
 /*PAGE
+ *
  *  _Objects_MP_Is_null_global_object
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns whether the global object is NULL or not.
  */
 
Index: cpukit/score/inline/rtems/score/priority.inl
===================================================================
--- cpukit/score/inline/rtems/score/priority.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/priority.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -24,4 +24,7 @@
  *  _Priority_Handler_initialization
  *
+ *  DESCRIPTION:
+ *
+ *  This routine performs the initialization necessary for this handler.
  */
 
@@ -39,4 +42,8 @@
  *  _Priority_Is_valid
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_priority if valid for a
+ *  user task, and FALSE otherwise.
  */
 
@@ -57,4 +64,7 @@
  *  _Priority_Major
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the major portion of the_priority.
  */
 
@@ -70,4 +80,7 @@
  *  _Priority_Minor
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the minor portion of the_priority.
  */
 
@@ -85,4 +98,8 @@
  *  _Priority_Mask
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the mask associated with the major or minor
+ *  number passed to it.
  */
  
@@ -99,4 +116,9 @@
  *  _Priority_Bits_index
  *
+ *  DESCRIPTION:
+ *
+ *  This function translates the bit numbers returned by the bit scan
+ *  of a priority bit field into something suitable for use as
+ *  a major or minor component of a priority.
  */
  
@@ -114,4 +136,8 @@
  *  _Priority_Add_to_bit_map
  *
+ *  DESCRIPTION:
+ *
+ *  This routine uses the_priority_map to update the priority
+ *  bit maps to indicate that a thread has been readied.
  */
 
@@ -128,4 +154,9 @@
  *  _Priority_Remove_from_bit_map
  *
+ *  DESCRIPTION:
+ *
+ *  This routine uses the_priority_map to update the priority
+ *  bit maps to indicate that a thread has been removed from the
+ *  ready state.
  */
 
@@ -143,4 +174,8 @@
  *  _Priority_Get_highest
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the priority of the highest priority
+ *  ready thread.
  */
 
@@ -161,4 +196,9 @@
  *  _Priority_Initialize_information
  *
+ *  DESCRIPTION:
+ *
+ *  This routine initializes the_priority_map so that it
+ *  contains the information necessary to manage a thread
+ *  at new_priority.
  */
 
@@ -191,4 +231,8 @@
  *  _Priority_Is_group_empty
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the priority GROUP is empty, and
+ *  FALSE otherwise.
  */
 
Index: cpukit/score/inline/rtems/score/stack.inl
===================================================================
--- cpukit/score/inline/rtems/score/stack.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/stack.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,9 @@
  *  _Stack_Initialize
  *
+ *  DESCRIPTION:
+ *
+ *  This routine initializes the_stack record to indicate that
+ *  size bytes of memory starting at starting_address have been
+ *  reserved for a stack.
  */
 
@@ -38,4 +43,8 @@
  *  _Stack_Is_enough
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if size bytes is enough memory for
+ *  a valid stack area on this processor, and FALSE otherwise.
  */
 
@@ -51,4 +60,13 @@
  *  _Stack_Adjust_size
  *
+ *  DESCRIPTION:
+ *
+ *  This function increases the stack size to insure that the thread
+ *  has the desired amount of stack space after the initial stack
+ *  pointer is determined based on alignment restrictions.
+ *
+ *  NOTE:
+ *
+ *  The amount of adjustment for alignment is CPU dependent.
  */
 
Index: cpukit/score/inline/rtems/score/states.inl
===================================================================
--- cpukit/score/inline/rtems/score/states.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/states.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _States_Set
  *
+ *  DESCRIPTION:
+ *
+ *  This function sets the given states_to_set into the current_state
+ *  passed in.  The result is returned to the user in current_state.
  */
 
@@ -36,4 +40,8 @@
  *  _States_Clear
  *
+ *  DESCRIPTION:
+ *
+ *  This function clears the given states_to_clear into the current_state
+ *  passed in.  The result is returned to the user in current_state.
  */
 
@@ -50,4 +58,8 @@
  *  _States_Is_ready
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_states indicates that the
+ *  state is READY, and FALSE otherwise.
  */
 
@@ -63,4 +75,8 @@
  *  _States_Is_only_dormant
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the DORMANT state is the ONLY state
+ *  set in the_states, and FALSE otherwise.
  */
 
@@ -76,4 +92,8 @@
  *  _States_Is_dormant
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the DORMANT state is set in
+ *  the_states, and FALSE otherwise.
  */
 
@@ -89,4 +109,8 @@
  *  _States_Is_suspended
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the SUSPENDED state is set in
+ *  the_states, and FALSE otherwise.
  */
 
@@ -102,4 +126,8 @@
  *  _States_Is_Transient
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the TRANSIENT state is set in
+ *  the_states, and FALSE otherwise.
  */
 
@@ -115,4 +143,8 @@
  *  _States_Is_delaying
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the DELAYING state is set in
+ *  the_states, and FALSE otherwise.
  */
 
@@ -128,4 +160,8 @@
  *  _States_Is_waiting_for_buffer
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the WAITING_FOR_BUFFER state is set in
+ *  the_states, and FALSE otherwise.
  */
 
@@ -141,4 +177,8 @@
  *  _States_Is_waiting_for_segment
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the WAITING_FOR_SEGMENT state is set in
+ *  the_states, and FALSE otherwise.
  */
 
@@ -154,4 +194,8 @@
  *  _States_Is_waiting_for_message
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the WAITING_FOR_MESSAGE state is set in
+ *  the_states, and FALSE otherwise.
  */
 
@@ -167,4 +211,8 @@
  *  _States_Is_waiting_for_event
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the WAITING_FOR_EVENT state is set in
+ *  the_states, and FALSE otherwise.
  */
 
@@ -180,4 +228,8 @@
  *  _States_Is_waiting_for_mutex
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the WAITING_FOR_MUTEX state
+ *  is set in the_states, and FALSE otherwise.
  */
  
@@ -193,4 +245,8 @@
  *  _States_Is_waiting_for_semaphore
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the WAITING_FOR_SEMAPHORE state
+ *  is set in the_states, and FALSE otherwise.
  */
 
@@ -206,4 +262,8 @@
  *  _States_Is_waiting_for_time
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the WAITING_FOR_TIME state is set in
+ *  the_states, and FALSE otherwise.
  */
 
@@ -219,4 +279,8 @@
  *  _States_Is_waiting_for_rpc_reply
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the WAITING_FOR_TIME state is set in
+ *  the_states, and FALSE otherwise.
  */
 
@@ -232,4 +296,8 @@
  *  _States_Is_waiting_for_period
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the WAITING_FOR_PERIOD state is set in
+ *  the_states, and FALSE otherwise.
  */
 
@@ -245,4 +313,9 @@
  *  _States_Is_locally_blocked
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if one of the states which indicates
+ *  that a task is blocked waiting for a local resource is set in
+ *  the_states, and FALSE otherwise.
  */
 
@@ -258,4 +331,9 @@
  *  _States_Is_waiting_on_thread_queue
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if one of the states which indicates
+ *  that a task is blocked waiting for a local resource is set in
+ *  the_states, and FALSE otherwise.
  */
 
@@ -271,4 +349,8 @@
  *  _States_Is_blocked
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if one of the states which indicates
+ *  that a task is blocked is set in the_states, and FALSE otherwise.
  */
 
@@ -280,9 +362,13 @@
 }
 
-/*PAGEPAGE
+/*PAGE
  *
  *
  *  _States_Are_set
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if any of the states in the mask
+ *  are set in the_states, and FALSE otherwise.
  */
 
Index: cpukit/score/inline/rtems/score/sysstate.inl
===================================================================
--- cpukit/score/inline/rtems/score/sysstate.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/sysstate.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -21,4 +21,8 @@
  *
  *  _System_state_Handler_initialization
+ *
+ *  DESCRIPTION:
+ *
+ *  This routine initializes the system state handler.
  */
  
@@ -34,4 +38,9 @@
  *
  *  _System_state_Set
+ *
+ *  DESCRIPTION:
+ *
+ *  This routine sets the current system state to that specified by
+ *  the called.
  */
 
@@ -46,4 +55,8 @@
  *
  *  _System_state_Get
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns the current system state.
  */
 
@@ -56,4 +69,9 @@
  *
  *  _System_state_Is_before_initialization
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the state is equal to the
+ *  "before initialization" state, and FALSE otherwise.
  */
 
@@ -68,4 +86,9 @@
  *
  *  _System_state_Is_before_multitasking
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the state is equal to the
+ *  "before multitasking" state, and FALSE otherwise.
  */
 
@@ -80,4 +103,9 @@
  *
  *  _System_state_Is_begin_multitasking
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the state is equal to the
+ *  "begin multitasking" state, and FALSE otherwise.
  */
 
@@ -92,4 +120,9 @@
  *
  *  _System_state_Is_up
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the state is equal to the
+ *  "up" state, and FALSE otherwise.
  */
 
@@ -104,4 +137,9 @@
  *
  *  _System_state_Is_failed
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the state is equal to the
+ *  "failed" state, and FALSE otherwise.
  */
 
Index: cpukit/score/inline/rtems/score/thread.inl
===================================================================
--- cpukit/score/inline/rtems/score/thread.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/thread.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,9 @@
  *  _Thread_Stop_multitasking
  *
+ *  DESCRIPTION:
+ *
+ *  This routine halts multitasking and returns control to
+ *  the "thread" (i.e. the BSP) which initially invoked the
+ *  routine which initialized the system.
  */
 
@@ -33,4 +38,8 @@
  *  _Thread_Is_executing
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_thread is the currently executing
+ *  thread, and FALSE otherwise.
  */
 
@@ -46,4 +55,8 @@
  *  _Thread_Is_heir
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_thread is the heir
+ *  thread, and FALSE otherwise.
  */
 
@@ -59,4 +72,8 @@
  *  _Thread_Is_executing_also_the_heir
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the currently executing thread
+ *  is also the heir thread, and FALSE otherwise.
  */
 
@@ -70,4 +87,9 @@
  *  _Thread_Resume
  *
+ *  DESCRIPTION:
+ *
+ *  This routine clears the SUSPENDED state for the_thread.  It performs
+ *  any necessary scheduling operations including the selection of
+ *  a new heir thread.
  */
 
@@ -83,4 +105,9 @@
  *  _Thread_Unblock
  *
+ *  DESCRIPTION:
+ *
+ *  This routine clears any blocking state for the_thread.  It performs
+ *  any necessary scheduling operations including the selection of
+ *  a new heir thread.
  */
 
@@ -96,4 +123,8 @@
  *  _Thread_Restart_self
  *
+ *  DESCRIPTION:
+ *
+ *  This routine resets the current context of the calling thread
+ *  to that of its initial state.
  */
 
@@ -110,4 +141,8 @@
  *  _Thread_Calculate_heir
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns a pointer to the highest priority
+ *  ready thread.
  */
 
@@ -122,4 +157,9 @@
  *  _Thread_Is_allocated_fp
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the floating point context of
+ *  the_thread is currently loaded in the floating point unit, and
+ *  FALSE otherwise.
  */
 
@@ -135,4 +175,8 @@
  *  _Thread_Deallocate_fp
  *
+ *  DESCRIPTION:
+ *
+ *  This routine is invoked when the currently loaded floating
+ *  point context is now longer associated with an active thread.
  */
 
@@ -146,4 +190,7 @@
  *  _Thread_Disable_dispatch
  *
+ *  DESCRIPTION:
+ *
+ *  This routine prevents dispatching.
  */
 
@@ -157,4 +204,10 @@
  *  _Thread_Enable_dispatch
  *
+ *  DESCRIPTION:
+ *
+ *  This routine allows dispatching to occur again.  If this is
+ *  the outer most dispatching critical section, then a dispatching
+ *  operation will be performed and, if necessary, control of the
+ *  processor will be transferred to the heir thread.
  */
 
@@ -175,4 +228,9 @@
  *  _Thread_Unnest_dispatch
  *
+ *  DESCRIPTION:
+ *
+ *  This routine allows dispatching to occur again.  However,
+ *  no dispatching operation is performed even if this is the outer
+ *  most dispatching critical section.
  */
 
@@ -186,4 +244,8 @@
  *  _Thread_Is_dispatching_enabled
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if dispatching is disabled, and FALSE
+ *  otherwise.
  */
 
@@ -197,4 +259,8 @@
  *  _Thread_Is_context_switch_necessary
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if dispatching is disabled, and FALSE
+ *  otherwise.
  */
 
@@ -208,4 +274,7 @@
  *  _Thread_Dispatch_initialization
  *
+ *  DESCRIPTION:
+ *
+ *  This routine initializes the thread dispatching subsystem.
  */
 
@@ -219,4 +288,7 @@
  *  _Thread_Is_null
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_thread is NULL and FALSE otherwise.
  */
 
@@ -231,4 +303,15 @@
  *
  *  _Thread_Get
+ *
+ *  DESCRIPTION:
+ *
+ *  This function maps thread IDs to thread control
+ *  blocks.  If ID corresponds to a local thread, then it
+ *  returns the_thread control pointer which maps to ID
+ *  and location is set to OBJECTS_LOCAL.  If the thread ID is
+ *  global and resides on a remote node, then location is set
+ *  to OBJECTS_REMOTE, and the_thread is undefined.
+ *  Otherwise, location is set to OBJECTS_ERROR and
+ *  the_thread is undefined.
  *
  *  NOTE:  XXX... This routine may be able to be optimized.
@@ -275,4 +358,8 @@
  *  _Thread_Is_proxy_blocking
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the status code is equal to the
+ *  status which indicates that a proxy is blocking, and FALSE otherwise.
  */
 
@@ -288,4 +375,7 @@
  *  _Thread_Internal_allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This routine allocates an internal thread.
  */
  
@@ -299,4 +389,7 @@
  *  _Thread_Internal_free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees an internal thread.
  */
  
Index: cpukit/score/inline/rtems/score/threadmp.inl
===================================================================
--- cpukit/score/inline/rtems/score/threadmp.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/threadmp.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _Thread_MP_Is_receive
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns true if the thread in question is the
+ *  multiprocessing receive thread.
  */
 
@@ -35,4 +39,8 @@
  *  _Thread_MP_Free_proxy
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees a proxy control block to the
+ *  inactive chain of free proxy control blocks.
  */
 
Index: cpukit/score/inline/rtems/score/tod.inl
===================================================================
--- cpukit/score/inline/rtems/score/tod.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/tod.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _TOD_Is_set
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the application has set the current
+ *  time of day, and FALSE otherwise.
  */
 
@@ -33,4 +37,8 @@
  *  _TOD_Tickle_ticks
  *
+ *  DESCRIPTION:
+ *
+ *  This routine increments the ticks field of the current time of
+ *  day at each clock tick.
  */
 
@@ -45,4 +53,7 @@
  *  _TOD_Deactivate
  *
+ *  DESCRIPTION:
+ *
+ *  This routine deactivates updating of the current time of day.
  */
 
@@ -56,4 +67,7 @@
  *  _TOD_Activate
  *
+ *  DESCRIPTION:
+ *
+ *  This routine activates updating of the current time of day.
  */
 
Index: cpukit/score/inline/rtems/score/tqdata.inl
===================================================================
--- cpukit/score/inline/rtems/score/tqdata.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/tqdata.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _Thread_queue_Header_number
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the index of the priority chain on which
+ *  a thread of the_priority should be placed.
  */
 
@@ -28,5 +32,5 @@
 )
 {
-  return ( the_priority >> 6 );
+  return (the_priority / TASK_QUEUE_DATA_PRIORITIES_PER_HEADER);
 }
 
@@ -35,4 +39,9 @@
  *  _Thread_queue_Is_reverse_search
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_priority indicates that the
+ *  enqueue search should start at the front of this priority
+ *  group chain, and FALSE if the search should start at the rear.
  */
 
@@ -41,5 +50,5 @@
 )
 {
-  return ( the_priority & 0x20 );
+  return ( the_priority & TASK_QUEUE_DATA_REVERSE_SEARCH_MASK );
 }
 
@@ -48,4 +57,7 @@
  *  _Thread_queue_Get_number_waiting
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the number of threads waiting on this thread queue.
  */
  
@@ -61,4 +73,8 @@
  *  _Thread_queue_Enter_critical_section
  *
+ *  DESCRIPTION:
+ *
+ *  This routine is invoked to indicate that the specified thread queue is
+ *  entering a critical section.
  */
  
Index: cpukit/score/inline/rtems/score/userext.inl
===================================================================
--- cpukit/score/inline/rtems/score/userext.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/userext.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,7 @@
  *  _User_extensions_Handler_initialization
  *
+ *  DESCRIPTION:
+ *
+ *  This routine performs the initialization necessary for this handler.
  */
 
@@ -39,4 +42,8 @@
  *
  *  _User_extensions_Add_set
+ *
+ *  DESCRIPTION:
+ *
+ *  This routine is used to add a user extension set to the active list.
  */
 
@@ -54,4 +61,7 @@
  *
  *  _User_extensions_Add_API_set
+ *  DESCRIPTION:
+ *
+ *  This routine is used to add an API extension set to the active list.
  */
  
@@ -66,4 +76,8 @@
  *
  *  _User_extensions_Remove_set
+ *
+ *  DESCRIPTION:
+ *
+ *  This routine is used to remove a user extension set from the active list.
  */
 
@@ -79,4 +93,8 @@
  *  _User_extensions_Thread_switch
  *
+ *  DESCRIPTION:
+ *
+ *  This routine is used to invoke the user extension which
+ *  is invoked when a context switch occurs.
  */
 
Index: cpukit/score/inline/rtems/score/watchdog.inl
===================================================================
--- cpukit/score/inline/rtems/score/watchdog.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/watchdog.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,9 @@
  *  _Watchdog_Initialize
  *
+ *  DESCRIPTION:
+ *
+ *  This routine initializes the specified watchdog.  The watchdog is
+ *  made inactive, the watchdog id and handler routine are set to the
+ *  specified values.
  */
 
@@ -41,4 +46,8 @@
  *  _Watchdog_Is_active
  *
+ *  DESCRIPTION:
+ *
+ *  This routine returns TRUE if the watchdog timer is in the ACTIVE
+ *  state, and FALSE otherwise.
  */
 
@@ -56,4 +65,8 @@
  *  _Watchdog_Activate
  *
+ *  DESCRIPTION:
+ *
+ *  This routine activates THE_WATCHDOG timer which is already
+ *  on a watchdog chain.
  */
 
@@ -71,4 +84,8 @@
  *  _Watchdog_Deactivate
  *
+ *  DESCRIPTION:
+ *
+ *  This routine deactivates THE_WATCHDOG timer which will remain
+ *  on a watchdog chain.
  */
 
@@ -86,4 +103,8 @@
  *  _Watchdog_Tickle_ticks
  *
+ *  DESCRIPTION:
+ *
+ *  This routine is invoked at each clock tick to update the ticks
+ *  watchdog chain.
  */
 
@@ -99,4 +120,8 @@
  *  _Watchdog_Tickle_seconds
  *
+ *  DESCRIPTION:
+ *
+ *  This routine is invoked at each clock tick to update the seconds
+ *  watchdog chain.
  */
 
@@ -112,4 +137,10 @@
  *  _Watchdog_Insert_ticks
  *
+ *  DESCRIPTION:
+ *
+ *  This routine inserts THE_WATCHDOG into the ticks watchdog chain
+ *  for a time of UNITS ticks.  The INSERT_MODE indicates whether
+ *  THE_WATCHDOG is to be activated automatically or later, explicitly
+ *  by the caller.
  */
 
@@ -130,4 +161,10 @@
  *  _Watchdog_Insert_seconds
  *
+ *  DESCRIPTION:
+ *
+ *  This routine inserts THE_WATCHDOG into the seconds watchdog chain
+ *  for a time of UNITS seconds.  The INSERT_MODE indicates whether
+ *  THE_WATCHDOG is to be activated automatically or later, explicitly
+ *  by the caller.
  */
 
@@ -148,4 +185,9 @@
  *  _Watchdog_Adjust_seconds
  *
+ *  DESCRIPTION:
+ *
+ *  This routine adjusts the seconds watchdog chain in the forward
+ *  or backward DIRECTION for UNITS seconds.  This is invoked when the
+ *  current time of day is changed.
  */
 
@@ -164,4 +206,8 @@
  *  _Watchdog_Adjust_ticks
  *
+ *  DESCRIPTION:
+ *
+ *  This routine adjusts the ticks watchdog chain in the forward
+ *  or backward DIRECTION for UNITS ticks.
  */
 
@@ -180,4 +226,10 @@
  *  _Watchdog_Reset
  *
+ *  DESCRIPTION:
+ *
+ *  This routine resets THE_WATCHDOG timer to its state at INSERT
+ *  time.  This routine is valid only on interval watchdog timers
+ *  and is used to make an interval watchdog timer fire "every" so
+ *  many ticks.
  */
 
@@ -197,4 +249,8 @@
  *  _Watchdog_Next
  *
+ *  DESCRIPTION:
+ *
+ *  This routine returns a pointer to the watchdog timer following
+ *  THE_WATCHDOG on the watchdog chain.
  */
 
@@ -212,4 +268,8 @@
  *  _Watchdog_Previous
  *
+ *  DESCRIPTION:
+ *
+ *  This routine returns a pointer to the watchdog timer preceding
+ *  THE_WATCHDOG on the watchdog chain.
  */
 
@@ -227,4 +287,8 @@
  *  _Watchdog_First
  *
+ *  DESCRIPTION:
+ *
+ *  This routine returns a pointer to the first watchdog timer
+ *  on the watchdog chain HEADER.
  */
 
@@ -242,5 +306,10 @@
  *  _Watchdog_Last
  *
- */
+ *  DESCRIPTION:
+ *
+ *  This routine returns a pointer to the last watchdog timer
+ *  on the watchdog chain HEADER.
+ */
+
 STATIC INLINE Watchdog_Control *_Watchdog_Last(
   Chain_Control *header
Index: cpukit/score/inline/rtems/score/wkspace.inl
===================================================================
--- cpukit/score/inline/rtems/score/wkspace.inl	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ cpukit/score/inline/rtems/score/wkspace.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,7 @@
  *  _Workspace_Handler_initialization
  *
+ *  DESCRIPTION:
+ *
+ *  This routine performs the initialization necessary for this handler.
  */
 
@@ -66,4 +69,9 @@
  *  _Workspace_Allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This routine returns the address of a block of memory of size
+ *  bytes.  If a block of the appropriate size cannot be allocated
+ *  from the workspace, then NULL is returned.
  */
 
@@ -79,4 +87,9 @@
  *  _Workspace_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This function frees the specified block of memory.  If the block
+ *  belongs to the Workspace and can be successfully freed, then
+ *  TRUE is returned.  Otherwise FALSE is returned.
  */
 
